Businesses
Search Businesses
Search and list Business records with filtering, sorting, and pagination.
GET
Search Businesses
Business represents a coworking location with its settings, address, and configuration
Authentication
This endpoint requires OAuth2 authentication. Include a valid bearer token in the
Authorization header.
The authenticated user must be a full unrestricted administrator or have the Business-List role.Enums
eHelpItemFlag — VisitedHelpItems values
eHelpItemFlag — VisitedHelpItems values
eLanguage — DefaultLanguage values
eLanguage — DefaultLanguage values
eVenueType — VenueType values
eVenueType — VenueType values
eFloorUnit — FloorSpaceUnit values
eFloorUnit — FloorSpaceUnit values
ePassportAccess — PassportMembersAccess values
ePassportAccess — PassportMembersAccess values
Query Parameters
Pagination & Sorting
Filters
Filter by current file name of the banner image (read-only; upload via the corresponding URL field).
Filter by current file name of the nex io banner image (read-only; upload via the corresponding URL field).
Filter by current file name of the passport banner (read-only; upload via the corresponding URL field).
Range Filters
Filter by date of the next scheduled invoice run greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date of the next scheduled invoice run less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for trial expire date greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for trial expire date less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for last over due invoice reminder greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for last over due invoice reminder less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for last welcome email greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for last welcome email less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by the discount percentage value for this business greater than or equal to this value.
Filter by date/time value for last language token update greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for last language token update less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for reminders processed on greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for reminders processed on less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for pre auth processed on greater than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by date/time value for pre auth processed on less than or equal to this value. Format:
YYYY-MM-DDTHH:mm.Filter by the last charged invoice value for this business greater than or equal to this value.
Filter by the last charged transaction value for this business greater than or equal to this value.
Filter by the last charged transaction value for this business less than or equal to this value.
Filter by the last charged attendee value for this business greater than or equal to this value.
Filter by the last charged attendee value for this business less than or equal to this value.
Filter by wednesday opening time (minutes from midnight) greater than or equal to this value.
Filter by wednesday closing time (minutes from midnight) greater than or equal to this value.
Filter by the current back end version value for this business greater than or equal to this value.
Filter by the current back end version value for this business less than or equal to this value.
Filter by the default payment term value for this business greater than or equal to this value.
Code Examples
Simple listing
Filtering by Name
Range filters
Response
200
The list of Business records matching the query. See the Get one Business endpoint for the full list of properties returned for each record.
Example Response